#pragma once

#include <QObject>

#include "login.h"
#include "models/roommodel.h"

class Sync : public QObject {
    Q_OBJECT

  public:
    Sync(RoomModel &rooms, Login *login) : rooms(rooms) {}
  public slots:
    void startSync();

  signals:
    void newRoom(QSharedPointer<Room> room);

  private:
    RoomModel &rooms;
};
